import { JSONSchema6 } from 'json-schema';
import * as React from 'react';
import { IChangeEvent } from 'react-jsonschema-form';
import { FormProps } from '../../unstable-typings';
export default class FormHOC extends React.Component<FormProps, {
    value: any;
    schema: JSONSchema6;
}> {
    constructor(props: FormProps);
    static registerWidget(name: string, value: any): void;
    componentWillReceiveProps(nextProps: FormProps): void;
    parseSchema(schema: JSONSchema6): JSONSchema6;
    change: (data: IChangeEvent<any>) => void;
    submit: (data: any) => void;
    render(): JSX.Element;
}
